# Cashout a Gift Card on a Reader

Initiates a gift card cashout flow on a Reader. A cashout sets the gift card balance to 0.

## Request

```curl
curl https://api.stripe.com/v1/terminal/readers/{{READER_ID}}/cashout_gift_card \
  -u "<<YOUR_SECRET_KEY>>" \
  -d brand=svs
```

### Response

```json
{
  "id": "tmr_GkoLBwI8ngxx08",
  "object": "terminal.reader",
  "action": {
    "api_error": null,
    "cashout_gift_card": {},
    "failure_code": null,
    "failure_message": null,
    "status": "in_progress",
    "type": "cashout_gift_card"
  },
  "device_sw_version": "",
  "device_type": "simulated_wisepos_e",
  "ip_address": "0.0.0.0",
  "label": "simulated-wpe-e448e0d1-388f-40cd-b30f-ca82de03ced6",
  "last_seen_at": 1783521739952,
  "livemode": false,
  "location": "tml_GczOlAw6Yx2UMe",
  "metadata": {},
  "serial_number": "e448e0d1-388f-40cd-b30f-ca82de03ced6",
  "status": "online"
}
```

## Returns

Returns an updated `Reader` resource.

## Parameters

- `brand` (enum, required)
  The brand of the gift card.
Possible enum values:
  - `svs`
    SVS gift card.

- `on_behalf_of` (string, optional)
  The Stripe account ID to process the gift card operation on behalf of.
